DBusCondVar Struct Reference

## Data Fields

pthread_cond_t | cond
| the condition
DBusList * | list
| list thread-local-stored events waiting on the cond variable
CRITICAL_SECTION | lock
| lock protecting the list

## Detailed Description

Definition at line 59 of file dbus-sysdeps-pthread.c.

## Field Documentation

## cond

pthread_cond_t DBusCondVar::cond

the condition

Definition at line 60 of file dbus-sysdeps-pthread.c.

## list

DBusList* DBusCondVar::list

list thread-local-stored events waiting on the cond variable

Definition at line 67 of file dbus-sysdeps-thread-win.c.

## lock

CRITICAL_SECTION DBusCondVar::lock

lock protecting the list

Definition at line 68 of file dbus-sysdeps-thread-win.c.

The documentation for this struct was generated from the following files:

- dbus-sysdeps-pthread.c
- dbus-sysdeps-thread-win.c